Payment batches & settlement

Tx Ops Get Group Providers

Name and signature indicate it returns tx ops get group providers

GEThttps://api.toku.com/stablecoin-payroll/tx-ops-get-group-providers

Required scope: payments:read

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/tx-ops-get-group-providers?batchID=%3CbatchID%3E&groupKey=%3CgroupKey%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "rail": "CRYPTO",
  "providers": [
    {
      "provider": "string",
      "providerLabel": "string",
      "isPlannedProvider": true,
      "requiresBalanceToSubmit": true,
      "wallets": [
        {
          "address": "string",
          "type": "string",
          "custodyWalletID": "string",
          "label": "string",
          "delegateAddress": "string",
          "supportsBatching": true,
          "balance": "string",
          "totalRequired": "string",
          "isSufficient": true,
          "delegateAvailable": true,
          "isPlannedSource": true,
          "approvalType": "string",
          "threshold": 0,
          "currentSigners": 0
        }
      ]
    }
  ],
  "failedProviders": [
    "string"
  ],
  "unsupportedProviders": [
    "string"
  ],
  "noSourceWalletProviders": [
    "string"
  ],
  "undeterminedProviders": [
    "string"
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

batchIDstring<uuid>required
groupKeystringrequired

Allowed: at least 1 characters

Response

200Successful response
railstringrequired

Available options: CRYPTO, FIAT

providersobject[]required
Show child attributes
providerstringrequired
providerLabelstringrequired
isPlannedProviderbooleanrequired
requiresBalanceToSubmitbooleanrequired
walletsobject[]required
Show child attributes
addressstringrequired
typestringrequired
custodyWalletIDstring | nullrequired
labelstringrequired
delegateAddressstring | nullrequired
supportsBatchingbooleanrequired
balancestringrequired
totalRequiredstringrequired
isSufficientbooleanrequired
delegateAvailablebooleanrequired
isPlannedSourcebooleanrequired
approvalTypestring | nullrequired
thresholdnumber | nullrequired
currentSignersnumber | nullrequired
fiatFundinganyrequired
failedProvidersstring[]required
unsupportedProvidersstring[]required
noSourceWalletProvidersstring[]required
undeterminedProvidersstring[]required
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits